Subject: bug#61325: 30.0.50; Jokes in GNUS manual

From: Po Lu <[email-masked]>
Date: Tue, 07 Feb 2023 22:03:22 +0800

Ihor Radchenko <[email-masked]> writes:

> Po Lu <[email-masked]> writes:
>
>>> May you please elaborate which joke you are referring to?
>>
>> This one:
>>
>> 3.16 Group Topics
>>
>>     If you read lots and lots of groups, it might be convenient to group
>>     them hierarchically according to topics.  You put your Emacs groups over
>>     here, your sex groups over there, and the rest (what, two groups or so?)
>>     you put in some misc section that you never bother with anyway.  You can
>>     even group the Emacs sex groups as a sub-topic to either the Emacs
>>     groups or the sex groups—or both!  Go wild!
>
> Thanks.
> I also partially understand the joke.
> My main problem is the last sentence, which I am not sure if it is
> technical or still part of the joke.
>
>     You can even group the Emacs sex groups as a sub-topic to either the
>     Emacs groups or the sex groups—or both!
>
> The paragraph structure is basically:
>
>  <technical description><joke><half joke, half technical description>
>
> Such structure is difficult to understand, especially if the joke itself
> is not understood.
>
> To summarize, my problem is not a joke and not that I understand it or
> not. My problem is that I do not fully understand technical descriptions
> in this paragraph.
>
>> I do understand the rest as well.
>
> Ok. I am especially confused about the Note: part in 3.15 Exiting Gnus
> has. I fail to see a joke there. (this is not important in the context
> of this bug, I am just curious)
>
>>> Agree. My other points remain. In particular, about joking on sex topic,
>>> which is present in the same paragraph.
>>
>> There are such newsgroups on the Usenet, so why would cracking jokes
>> about them be any different from cracking jokes about any other
>> newsgroup?
>>
>> Seriously, anyone who finds that joke offensive needs to grow up and get
>> a life!
>
> While I do agree that people should ideally understand that jokes are
> not aiming to offend them, even if the topic is not acceptable in
> someone's culture, it is not practically the case for all the users.
>
> In particular, topics sensitive within whole cultures (sex, race,
> female bullying) are likely to distract (or worse) a significant
> fraction of Emacs users from acquiring the technical context of the
> manual. The fact that another fraction of the Emacs users find such
> jokes pleasing does not change this fact.
>
> I would also like to point out that GNUS is well-known to be
> hard-to-grasp. A manual loaded with large amount of culture-specific
> jokes does not help in this regard. In particular, I do find "3.16 Group
> Topics" section of the manual difficult to understand precisely because
> it is overloaded with jokes.

> Not when the jokes stay on the way of understanding the technical parts.

They do not.  End of discussion.

Where I come from, it is generally said that a person who deliberately
tries to find problems with something is trying to ``pick pricks''.
They are usually able to find some problems, because the problems they
report tend to, by definition, rely on their own testimony: ``I don't
understand'', ``I'm offended by'', etc.

Such people generally ruin the day for everyone else wherever they
appear.

Whoever reported the problem with the Gnus manual, which has not seen
other such reports in over 20 years, certainly sounds like one such
individual.  And if you don't understand the manual, then it is not a
problem with the jokes therein.  Just read it again until you do.
How many people can understand the following sentence without reading it
at least once or twice?

                         XcmsCIELabClipL

  This brings the encountered out-of-gamut color specification into the
  screen's color gamut by reducing or increasing CIE metric lightness
  (L*) in the CIE Lab color space until the color is within the
  gamut. If the Psychometric Chroma of the color specification is beyond
  maximum for the Psychometric Hue Angle, then while maintaining the
  same Psychometric Hue Angle, the color will be clipped to the CIE Lab
  coordinates of maximum Psychometric Chroma. See
  `XcmsCIELabQueryMaxC'. No client data is necessary.

Is color management, thus, an evil which should be persecuted by hordes
of crusaders?